- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
获取审计日志
- /
- 获取管理员操作日志
¶ Get admin operation log
Update time: 2025-07-23 07:34:21
You can select request ID, client IP, operation type, resource type, admin user ID, request success, start timestamp, end timestamp, and paging to get the admin operation log interface
¶ Method name
ManagementClient.get_admin_audit_logs
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| requestId | string | no | - | Request ID | xxx |
| clientIp | string | no | - | Client IP | xxx |
| operationType | string | no | - | Operation type | create |
| resourceType | string | no | - | Resource type | user |
| userId | string | no | - | Admin user ID | xxx |
| success | boolean | no | - | Whether the request is successful | true |
| start | number | no | - | Start timestamp | 11 |
| end | number | no | - | End timestamp | 111 |
| pagination | ListWebhooksDto | no | - | Pagination |
¶ Request Response
Type: AdminAuditLogRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type. |
| requestId | string | Request ID. Returned when the request fails. |
| data | AdminAuditLogRespData | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"totalCount": 1,
"list": {
"adminUserId": "xxx",
"adminUserAvatar": "https://files.authing.co/authing-console/default-app-logo.png",
"adminUserDisplayName": "xxx",
"clientIp": "127.0.0.1",
"operationType": "create",
"resourceType": "user",
"eventDetail": "Modify App「Discourse」",
"operationParam": "{\"ext\":{\"_dontFinishNotYet\":true,\"_appName\":\"Discourse\"},\"protocol\":\"oidc\",\"isAsa\":false,\"name\":\"Discourse\",\"oidcConfig\":{\"grant_types\":[\"authorization_code\",\"password\",\"refresh_token\"],\"response_types\":[\"code\"],\"id_token_signed_response_alg\":\"RS256\",\"token_endpoint_auth_method\":\"client_secret_post\",\"introspection_endpoint_auth_method\":\"client_secret_post\",\"revocation_endpoint_auth_method\":\"client\"}",
"success": true,
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36",
"parsedUserAgent": {
"device": "Desktop",
"browser": "Chrome",
"os": "Windows"
},
"geoip": {
"location": {
"lon": 116.3889,
"lat": 39.9288
},
"country_name": "China",
"country_code2": "CN",
"country_code3": "CN",
"region_name": "Beijing",
"region_code": "BJ",
"city_name": "Beijing",
"continent_code": "AS",
"timezone": "Asia/Shanghai"
},
"timestamp": "2022-09-20T08:55:00.188+0800",
"requestId": "b63b9772-384c-4f2d-981b-01d1feed964d"
}
}
}
¶ Data Structure
¶ ListWebhooksDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| page | number | No | Current page number, starting from 1 | 1 |
| limit | number | No | Number per page, maximum cannot exceed 50, default is 10 | 10 |
¶ AdminAuditLogRespData
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| totalCount | number | yes | total number of records | 1 |
| list | array | yes | return list Nested type: AdminAuditLogDto. |
¶ AdminAuditLogDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| adminUserId | string | yes | Admin user ID | xxx |
| adminUserAvatar | string | yes | Admin user avatar | https://files.authing.co/authing-console/default-app-logo.png |
| adminUserDisplayName | string | yes | Admin user display name, displayed in the following user field order: nickname > username > name > givenName > familyName -> email -> phone -> id | xxx |
| clientIp | string | no | Client IP, can be filtered based on the client IP at login. By default, the login history of all login IPs is not obtained. | 127.0.0.1 |
| operationType | string | yes | Operation type: - create: create- delete: delete- import: import- export: export- update: modify- refresh: refresh- sync: synchronize- invite: invite- resign: resign- recover: recover- disable: disable- userEnable: enable | all |
| resourceType | string | yes | Event type: - user: user- userpool: user pool- tenant: tenant- userLoginState: user login state- userAccountState: user account state- userGroup: user group- fieldEncryptState: field encryption state- syncTask: synchronization task- socialConnection: social identity source- enterpriseConnection: social identity source- customDatabase: custom database- org: organization- cooperator: collaboration administrator- application: application- resourceNamespace: permission group- resource: resource- role: role- roleAssign: role authorization- policy: policy | all |
| eventDetail | string | No | Event details | The integrated application "Discourse" was modified |
| operationParam | string | No | Specific operation parameters | {"ext":{"_dontFinishNotYet":true,"_appName":"Discourse"},"protocol":"oidc","isAsa":false,"name":"Discourse","oidcConfig":{"grant_types":["authorization_code","password","refresh_token"],"response_types":["code"],"id_token_signed_response_alg":"RS256","token_endpoint_auth_method":"client_secret_post","introspection_endpoint_auth_method":"client_secret_post","revocation_endpoint_auth_method":"client"} |
| originValue | string | No | Original value | |
| targetValue | string | no | new value | |
| success | boolean | yes | success | true |
| userAgent | string | yes | User Agent | Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36 |
| parsedUserAgent | yes | Parsed User Agent Nested type: ParsedUserAgent. | ||
| geoip | yes | Geographic location Nested type: GeoIp. | ||
| timestamp | string | yes | time | 2022-09-20T08:55:00.188+0800 |
| requestId | string | yes | request ID | b63b9772-384c-4f2d-981b-01d1feed964d |
¶ ParsedUserAgent
| name | type | is it required | description | example value |
|---|---|---|---|---|
| device | string | yes | device type used | Desktop |
| browser | string | yes | browser name | Chrome |
| os | string | yes | operating system | Windows |
¶ GeoIp
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| location | Yes | Geographic location Nested type: GeoIpLocation. | ||
| country_name | string | Yes | Country Name | China |
| country_code2 | string | Yes | Country Code 2 | CN |
| country_code3 | string | Yes | Country Code 3 | CN |
| region_name | string | Yes | Region Name | Beijing |
| region_code | string | Yes | Region Code | BJ |
| city_name | string | Yes | City Name | Beijing |
| continent_code | string | Yes | Continent Code | AS |
| timezone | string | Yes | Time Zone | Asia/Shanghai |
¶ GeoIpLocation
| Name | Type | Required | Description | Sample Value |
|---|---|---|---|---|
| lon | number | is | longitude | 116.3889 |
| lat | number | is | latitude | 39.9288 |
